#!/usr/local/bin/perl
# 
# $Id: larrd-config.pl,v 1.37 2003/03/18 16:54:23 cncook Exp $
#
# larrd-config.pl: the config file.
#
# Scott Walters Copyright 1999, 2000
# scott@PacketPushers.com 
#
# Christian Pearce
# pearcec@PacketPushers.com
#  
#
# Do whatever you want with it
# just don't sell it and make money off of it and not cut me in ;)
# I take no liability for it, use at your own risks

###############################
# USER DEFINED VARIABLES
###############################

# Base directory of rrdtool
$ENV{'RRDDIR'}="/usr/local/rrdtool";

# Base directory of larrd
$ENV{'LARRDHOME'}="/usr/local/larrd";

# Location of BBVAR directory
$ENV{'BBVAR'}="/usr/local/bbvar";

# Where should the RRD's be kept?
# pronounced birds
$ENV{'BBRRDS'}="$ENV{'BBVAR'}/rrd";

$ENV{'BBLOGS'}="$ENV{'BBVAR'}/logs";

$ENV{'CGIBINURL'}="/cgi-bin";

# Which datasets should I collect/graph/html for?
#  	la = Load Average, Users, Processes
#	disk = Disk Utilization 
#	bbnet = TCP Connect Times and Ping Times
#	vmstat = vmstat statistics (requires bf-larrd.sh)
#	apache =
#	bind =
#	iostat = (requires bf-iostat.sh)
#       netstat = (requires bf-netstat.sh)
#	sendmail = (requires bf-sendmail.sh)
#	memory = Memory Utilization (requires bb-memory.sh)
#       nmailq = length of multiple mailq's on a system added by AGS 04/16/02
#       socks = Open Threads in Aventail socks server added by AGS 03/14/02
#       imap2 = User experience IMAP response test added by Craig Cook
#       up = Uptime graph added by Craig Cook 14 Feb 2005
#       WebApp = http,url checks added by Craig Cook 14 Feb 2005
@DATALIST=("la","disk","bbnet","vmstat","netstat","procs","users","up","WebApp");


# Name of column in BB
$ENV{'LARRDCOLNAME'}="trends";

# Set rigid limit for la y axis
$ENV{'LARRDLARIGID'}=1;

$ENV{'BBLOGSTATUS'}=DYNAMIC;

# Location of bb-hostsvc.sh for STATIC compliance
# needed if BBLOGSTATUS=STATIC

$ENV{'LARRDHOSTSVC'}="/usr/local/apache2/htdocs/bb/bin/bb-hostsvc.sh";

# NOTICE: We deprecated for it checks for DATA then it checks for STATUS
# The bottom feeders sets the method.  This allows for granularity.
#
# How does bf-larrd.sh send data back to BBDISP?
# DATA if BB compiled with -DDATAMSG
# STATUS if BB is not
# $ENV{'LARRDCOMM'}="STATUS";

# Hosts you do not want a larrd HTML dot, data is still trended
@LARRDDISABLE=("");

# LOGGING

# Messages that will prevent larrd from functioning properly
$ENV{'ERROR'} = 1;
# Messages that tell you what larrd has done to the system
$ENV{'STATUS'} = 1;

# Messages that will not prevent larrd from functioning properly (noisy)
$ENV{'WARN'} = 0;
# Messages that tell you a little about what larrd is doing (very noisy)
$ENV{'DEBUG'} = 0;

###############################
# END USER DEFINED VARIABLES
###############################

$ENV{'RRDPM'}="$ENV{'RRDDIR'}/lib/perl";

$ENV{'RRDTOOL'}="$ENV{'RRDDIR'}/bin/rrdtool";

# Where should module logs go?
$ENV{'LARRDLOG'}="$ENV{'BBHOME'}/LARRDOUT";

# Location of temporary web graphs
$ENV{'LARRDTMP'}="$ENV{'LARRDHOME'}/tmp";

#Location of LARRD.pm
$ENV{'LARRDPM'}="$ENV{'LARRDHOME'}/lib/LARRD";

# what RRA's should be made for each RRD?
# "daily" 5min avg last 48hr
# "weekly" 30min avg last 12days
# "monthly 2hr avg last 48days
# "yearly" 24hr avg last 576days
$ENV{'RRAS'}="RRA:AVERAGE:0.5:1:576 RRA:AVERAGE:0.5:6:576 RRA:AVERAGE:0.5:24:576 RRA:AVERAGE:0.5:288:576";

1;
